Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025707Runner[All Projects] GeneralPublic2017-02-19 23:402017-03-17 11:22
Reporterricardocostaza 
Assigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformHTML5 (WebGL on)OSWindowsOS Version10
Summary0025707: HTML5: If you send an argument to a function, you can't reach the argument when in other object context
DescriptionHTML5 runner bug. If you send an argument to a function, you can't reach it inside other object context.

E.g.:
myFunc() {

   with (instance_create(0,0,object1)) {
       arg = other.argument0;
       show_message("argument is: " + string(arg));
   }

}

The code above shows the correct argument in Windows, but shows "undefined" in HTML5.
Steps To ReproduceCheck the example project for clarification.
1.4 Version1.99.525
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon Function_Argument_Bug.gmz [^] (244,006 bytes) 2017-02-19 23:40

- Relationships

-  Notes
(0051738)
Russell Kay (Manager)
2017-02-23 15:31

Fixed in gitlab - e44b37e - the use of other.argument0 is actually incorrect compiler has been updated to error whenever a global builtin variable (or function) is used like an instance variable (as this is wrong)
(0052283)
Ross Manthorp (Administrator)
2017-03-17 11:22

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker